auth2(8)

NAME
auth2 - authentication server

SYNOPSIS
auth2 [-r] [-chk] [-x debuglevel] [-p pwfile] [-tk tokenkey] [-fk filekey]

DESCRIPTION
auth2 is the Coda authentication server. Clients need to have an authentication token from auth2 in order to establish authenticated connections to Coda file servers. auth2 supports the following commands line options:

-r  Tells auth2 to print log entries to the controlling tty rather than a log file.

-chk
    Causes auth2 to only validate passwords. New password entries cannot be added via this server instance. Servers started with the -chk option are slave servers. There should only be one master server in the system.

-x debuglevel
    Sets the server debug level. This level controls the amount of debugging information printed by the server.

-p pwfile
    Used to tell auth2 where its password file is. Typically this file is /vice/db/auth2.pw.

-tk tokenkey
    Specifies where the token key file auth2 should use when encrypting tokens.

-fk filekey
    Name of file containing the key decrypt password file with.

SEE ALSO
authmon (8)

AUTHOR
1987, Adapted from AFS-2. Joshua Raiff, 1993, Created man page.